<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Kamrej - Frame Maker</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/croppie/2.6.5/croppie.css" />
    <style>
        /* Absolute Center Spinner */
        .loading {
            position: fixed;
            z-index: 999;
            height: 2em;
            width: 2em;
            overflow: show;
            margin: auto;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
        }

        /* Transparent Overlay */
        .loading:before {
            content: '';
            display: block;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
            background: -webkit-radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
        }

        /* :not(:required) hides these rules from IE9 and below */
        .loading:not(:required) {
            /* hide "loading..." text */
            font: 0/0 a;
            color: transparent;
            text-shadow: none;
            background-color: transparent;
            border: 0;
        }

        .loading:not(:required):after {
            content: '';
            display: block;
            font-size: 10px;
            width: 1em;
            height: 1em;
            margin-top: -0.5em;
            -webkit-animation: spinner 150ms infinite linear;
            -moz-animation: spinner 150ms infinite linear;
            -ms-animation: spinner 150ms infinite linear;
            -o-animation: spinner 150ms infinite linear;
            animation: spinner 150ms infinite linear;
            border-radius: 0.5em;
            -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
            box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
        }

        /* Animation */
        @-webkit-keyframes spinner {
            0% {
                -webkit-transform: rotate(0deg);
                -moz-transform: rotate(0deg);
                -ms-transform: rotate(0deg);
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
                -moz-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @-moz-keyframes spinner {
            0% {
                -webkit-transform: rotate(0deg);
                -moz-transform: rotate(0deg);
                -ms-transform: rotate(0deg);
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
                -moz-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @-o-keyframes spinner {
            0% {
                -webkit-transform: rotate(0deg);
                -moz-transform: rotate(0deg);
                -ms-transform: rotate(0deg);
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
                -moz-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @keyframes spinner {
            0% {
                -webkit-transform: rotate(0deg);
                -moz-transform: rotate(0deg);
                -ms-transform: rotate(0deg);
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
                -moz-transform: rotate(360deg);
                -ms-transform: rotate(360deg);
                -o-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }
    </style>
</head>

<body>
    <div class="loading d-none">Loading&#8230;</div>
    <h4 class="text-center">Kamrej - Frame Maker</h4>
    <div class="container">
        <div id="uploadImageBlock">
            <form id="upload">
                <div class="form-group mb-2">
                    <label>Your Name</label>
                    <input class="form-control" type="text" id="ptext" name="ptext" />
                </div>
                <div class="form-group mb-2">
                    <label>Your Image</label>
                    <input class="form-control" type="file" id="ppic" name="ppic" />
                </div>
                <img id="my-image" src="#" class="d-none img-fluid" />
            </form>
            <div align="center">
                <button id="use" class="d-none btn-primary btn-lg btn">Make Image</button>
            </div>
        </div>
        <img id="result" src="">
        <div align="center" class="mt-3">
            <canvas id="canvas" class="d-none"></canvas>
        </div>
        <div id="uploadImageResult" class="d-none">
            <a class="text-center" href="https://td9.in/KamrejFrames">
                <h5>Back</h5>
            </a>
            <img src="#" id="resultImage" class="img-fluid" />
            <a href="#" download="" class="btn btn-primary w-100 btn-lg my-4 d-none" id="download_btn">Download</a>
        </div>
    </div>
    <img src="img2.jpg" id="bg_img" class="d-none" />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.1.min.js" integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/croppie/2.6.5/croppie.min.js"></script>
    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $('#my-image').attr('src', e.target.result);
                    var resize = new Croppie($('#my-image')[0], {
                        viewport: {
                            width: 275,
                            height: 275,
                            type: 'circle'
                        },
                        boundary: {
                            width: 400,
                            height: 400
                        },
                        // showZoomer: false,
                        // enableResize: true,
                        enableOrientation: true
                    });
                    $('#use').fadeIn();
                    $('#use').removeClass('d-none');
                    $('#use').on('click', function() {
                        resize.result('base64').then(function(dataImg) {
                            var data = [{
                                image: dataImg
                            }, {
                                name: 'myimgage.jpg'
                            }];
                            // use ajax to send data to php
                            // $('#result').attr('src', dataImg);
                            var canvas = document.getElementById("canvas");
                            var ctx = canvas.getContext("2d");
                            canvas.width = 1080;
                            canvas.height = 1080;
                            var img1 = loadImage('img2.jpg', main);
                            var img2 = loadImage(dataImg, main);

                            var imagesLoaded = 0;

                            function main() {
                                imagesLoaded += 1;
                                if (imagesLoaded == 2) {
                                    // composite now
                                    ctx.drawImage(img1, 0, 0);
                                    ctx.drawImage(img2, 546, 623);
                                    ctx.font = "33px Arial";
                                    ctx.fillStyle = "white";
                                    ctx.textAlign = "center";
                                    ctx.fillText($('#ptext').val(), 682.8, 986);
                                    var canvasData = canvas.toDataURL("image/jpeg");
                                    $('#resultImage').attr('src', canvasData);
                                    $('#uploadImageResult').removeClass('d-none');
                                    $('#uploadImageBlock').addClass('d-none');
                                    $('.loading').removeClass('d-none');
                                    $.ajax({
                                        url: "ajax-image.php",
                                        data: 'imgData=' + encodeURIComponent(canvasData),
                                        type: "post",
                                        dataType: "json",
                                        success: function(data) {
                                            $('#download_btn').attr('href', data.a);
                                            $('#download_btn').attr('download', data.b);
                                            $('#download_btn').removeClass('d-none');
                                            $('.loading').addClass('d-none');
                                        }
                                    });
                                }
                            }
                            //var dataurl = canvas.toDataURL("image/jpeg");
                            //console.log("Image Data",dataurl);
                            //$('#result').attr('src', dataurl);
                            // $('#imgInp').attr('value', dataImg);
                        })
                    })
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#ppic").change(function() {
            readURL(this);
        });

        function loadImage(src, onload) {
            // http://www.thefutureoftheweb.com/blog/image-onload-isnt-being-called
            var img = new Image();
            img.onload = onload;
            img.src = src;
            return img;
        }
    </script>
</body>

</html>